.clearfix:after {
  visibility: hidden;
  display: block;
  font-size: 0;
  content: " ";
  clear: both;
  height: 0;
}
.text-overflow {
  white-space:nowrap; 
  text-overflow:ellipsis; 
  -o-text-overflow:ellipsis; 
  overflow: hidden; 
}
.fl {
  float: left;
}
.fr {
  float: right;
}
.ib {
  display: inline-block;
}